Bug 426812 - Bad filtering flags in Request Queue
Bad filtering flags in Request Queue
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Database (Show other bugs)
devel
All All
low Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-26 14:06 EST by Kret
Modified: 2013-06-23 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-25 17:18:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kret 2007-12-26 14:06:44 EST
Description of problem:
In request queue on request page, there are improperly flags filtering.

Version-Release number of selected component (if applicable):
I'm using bugzilla by firefox 1.5.0.12 browser, but in Galeon is this same.

How reproducible:
Filtering in Request Page in bugzilla.
Go to the Requests page, change flag for All and make epmty Requetee and
Requester, Component: All, Product: All. Click Filter

Steps to Reproduce:
1. Go to the Requests page
2. Change flag for All and make epmty Requetee and Requester, Component: All,
Product: All
3. Click filter
4. Should have every requests, but i have nothing
5. Change fla for needinfo, for example
6. Click filter and see results
  
Actual results:
Should have results for All flags if you have results for specific flags.
Annoying if you have to search your requests flag by flag.

Expected results:
If All will be selected in Flag on Request Page, i expect, there will be page
showing requests with all flags.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.